## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global modname uvloop

Name:           python-%{modname}
Version:        0.15.3
Release:        %autorelease
Summary:        Ultra fast implementation of asyncio event loop on top of libuv

License:        MIT or ASL 2.0
URL:            https://github.com/MagicStack/uvloop
Source0:        %{url}/archive/v%{version}/%{modname}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  libuv-devel

%global _description \
uvloop is a fast, drop-in replacement of the built-in asyncio event loop.\
uvloop is implemented in Cython and uses libuv under the hood.

%description %{_description}

%package -n python3-%{modname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-Cython
#BuildRequires:  python3-aiohttp
#BuildRequires:  python3-psutil
#BuildRequires:  python3-pyOpenSSL

%description -n python3-%{modname} %{_description}

%prep
%autosetup -p1 -n %{modname}-%{version}
# always use cython to generate code
sed -i -e "/self.cython_always/s/False/True/" setup.py
# use system libuv
sed -i -e "/self.use_system_libuv/s/False/True/" setup.py
# To be sure, no 3rd-party stuff
rm -vrf vendor/

%build
%py3_build

%install
%py3_install
# https://github.com/MagicStack/uvloop/issues/70
rm -vf %{buildroot}%{python3_sitearch}/%{modname}/_testbase.py
rm -vf %{buildroot}%{python3_sitearch}/%{modname}/__pycache__/_testbase.*

%check
#{__python3} setup.py test

%files -n python3-%{modname}
%license LICENSE-APACHE LICENSE-MIT
%doc README.rst
%{python3_sitearch}/%{modname}-*.egg-info/
%{python3_sitearch}/%{modname}/

%changelog
* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.15.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> 0.15.3-4
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 0.15.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Aug 26 2021 Igor Raits <ignatenkobrain@fedoraproject.org> 0.15.3-2
- Switch to %%autorelease/%%autochangelog

* Tue Aug 10 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.15.3-1
- Update to 0.15.3

* Tue Aug 10 2021 Benjamin A. Beasley <code@musicinmybrain.net> 0.15.2-3
- Drop obsolete python_provide macro

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.15.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jun 09 2021 Carl George <carl@george.computer> 0.15.2-1
- Latest upstream 0.15.2

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> 0.14.0-5
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.14.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Jan 07 2021 Miro Hrončok <miro@hroncok.cz> 0.14.0-3
- Backport Python 3.10+ compatibility

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> 0.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jun 22 2020 Itamar Reis Peixoto <itamar@ispbrasil.com.br> 0.14.0-1
- python-uvloop 0.14.0

* Tue May 26 2020 Miro Hrončok <miro@hroncok.cz> 0.12.2-9
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> 0.12.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <miro@hroncok.cz> 0.12.2-7
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <miro@hroncok.cz> 0.12.2-6
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> 0.12.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Jun 10 2019 Miro Hrončok <miro@hroncok.cz> 0.12.2-4
- Add patch for Python 3.8 support

* Thu May 02 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> 0.12.2-3
- Disable tests for now

* Thu May 02 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> 0.12.2-2
- BR: PyOpenSSL

* Thu May 02 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> 0.12.2-1
- Update to 0.12.2

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> 0.11.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Oct 15 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> 0.11.2-3
- include files which were excluded

* Wed Aug 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> 0.11.2-2
- BR: python3-psutil

* Wed Aug 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> 0.11.2-1
- Update to 0.11.2

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> 0.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jul 07 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> 0.11.0-1
- Update to 0.11.0

* Fri Jun 22 2018 Jerry James <loganjerry@gmail.com> 0.10.1-3
- Try again to fix thread ID type on 32-bit systems.

* Fri Jun 22 2018 Jerry James <loganjerry@gmail.com> 0.10.1-2
- Fix thread ID type on 32-bit systems.

* Fri Jun 22 2018 Jerry James <loganjerry@gmail.com> 0.10.1-1
- Update to 0.10.1 for python 3.7 support (bz 1556279 and 1584458).

* Tue Jun 19 2018 Miro Hrončok <miro@hroncok.cz> 0.8.1-3
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Sep 13 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> 0.8.1-1
- Update to 0.8.1

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> 0.8.0-3
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> 0.8.0-1
- Update to 0.8.0

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Jan 07 2017 Igor Gnatenko <i.gnatenko.brain@gmail.com> 0.7.2-1
- Update to 0.7.2

* Tue Jan 03 2017 Igor Gnatenko <i.gnatenko.brain@gmail.com> 0.7.1-1
- initial import
